> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new OAuth access token for a given OAuth app.

> This endpoint creates a new OAuth access token at the user scope.



## OpenAPI

````yaml post /v1/core/oauth/apps/{clientId}/access-token
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/oauth/apps/{clientId}/access-token:
    post:
      summary: Create a new OAuth access token for a given OAuth app.
      description: This endpoint creates a new OAuth access token at the user scope.
      parameters:
        - schema:
            type: string
          required: true
          name: clientId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                clientSecret:
                  type: string
                  description: >-
                    The OAuth app client secret returned in the POST /oauth/apps
                    response.
                userId:
                  type: string
                  description: The user that this token will be bound to
                scope:
                  type: string
                  enum:
                    - read
                    - write
                  description: >-
                    One of ("read", "write"). This will restrict what HTTP verbs
                    the token has access to.
              required:
                - clientSecret
                - userId
                - scope
      responses:
        '201':
          description: Create a new OAuth access token for a given OAuth app.
          content:
            application/json:
              schema:
                type: object
                properties:
                  accessTokenId:
                    type: string
                  accessToken:
                    type: string
                required:
                  - accessTokenId
                  - accessToken
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````